## org.eclipse.emf.edit.ui.util
Class EditUIMarkerHelper

    java.lang.Object
      org.eclipse.emf.common.ui.MarkerHelper
          org.eclipse.emf.edit.ui.util.EditUIMarkerHelper

Direct Known Subclasses:
  ValidateAction.EclipseResourcesUtil

    public class EditUIMarkerHelper

extends MarkerHelper

Extension of `MarkerHelper` that provides extra functionalities usefull when using EMF classes such as `Resource`.

Since:
  2.2.0

Constructor Summary
`EditUIMarkerHelper()`

Method Summary
`protected boolean` `adjustMarker(IMarker marker, Diagnostic diagnostic)`
`protected void` `adjustMarker(IMarker marker, Diagnostic diagnostic, Diagnostic parentDiagnostic)` Clients should override this method to update the marker associated with the diagnostic.
`void` `deleteMarkers(java.lang.Object object, boolean includeSubtypes, int depth)`
`protected IFile` `getFile(java.lang.Object datum)`
`java.util.List<?>` `getTargetObjects(java.lang.Object object, IMarker marker)`
`boolean` `hasMarkers(java.lang.Object object, boolean includeSubtypes, int depth)`

Methods inherited from class org.eclipse.emf.common.ui.MarkerHelper
`composeMessage, createMarkers, createMarkers, deleteMarkers, deleteMarkers, getEditorInput, getFile, getFile, getMarkerID, hasMarkers, hasMarkers`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EditUIMarkerHelper

    public EditUIMarkerHelper()

Method Detail

### getFile

    protected IFile getFile(java.lang.Object datum)

  Overrides:
    `getFile` in class `MarkerHelper`

### adjustMarker

    protected void adjustMarker(IMarker marker,
                                Diagnostic diagnostic,
                                Diagnostic parentDiagnostic)
                         throws CoreException

  Description copied from class: `MarkerHelper`
  Clients should override this method to update the marker associated with the diagnostic.

  Overrides:
    `adjustMarker` in class `MarkerHelper`
  Parameters:
    `marker` - the marker to be updated.
    `diagnostic` - the diagnostic associated with the marker.
    `parentDiagnostic` - the parent of the diagnostic, if any.
  Throws:
    `CoreException`

### adjustMarker

    protected boolean adjustMarker(IMarker marker,
                                   Diagnostic diagnostic)
                            throws CoreException

  Throws:
    `CoreException`

### hasMarkers

    public boolean hasMarkers(java.lang.Object object,
                              boolean includeSubtypes,
                              int depth)

  Overrides:
    `hasMarkers` in class `MarkerHelper`

### deleteMarkers

    public void deleteMarkers(java.lang.Object object,
                              boolean includeSubtypes,
                              int depth)

  Overrides:
    `deleteMarkers` in class `MarkerHelper`

### getTargetObjects

    public java.util.List<?> getTargetObjects(java.lang.Object object,
                                              IMarker marker)

  Overrides:
    `getTargetObjects` in class `MarkerHelper`
  Since:
    2.3

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.